import { createAxios } from './create-axios'
import { createHttp } from './create-http'
import { ContentTypeEnum, Http } from './constant'
import useHttp from './composables/http'
export * from './composables/http'
export * from './transformer'
export type { BaseApi, CramiHttpOptions, HttpHeaderType } from './typing'
export type { AxiosInstance, AxiosRequestConfig, AxiosResponse, AxiosResponseHeaders, AxiosResponseTransformer, AxiosRequestTransformer, AxiosRequestHeaders } from 'axios'
export {
  createAxios,
  createHttp,
  Http,
  useHttp,
  ContentTypeEnum,
}

export default createHttp
